<template>
  <!-- Centered view -->
  <div class="lg:w-2/3 xl:w-1/2 w-full mx-auto pt-8 pb-16 px-4">

    <!-- Title -->
    <h1 class="text-center">{{ $t('views.Settings.EditAccount.title') | capitalize }}</h1>

    <!-- Update user form -->
    <div class="w-full p-4">
      <h2>{{ $t('user.personalData') | capitalize }}</h2>
      <UpdateUserForm/>
    </div>

    <!-- Update password form -->
    <div class="w-full p-4">
      <h2>{{ $t('user.password') | capitalize }}</h2>
      <UpdatePasswordForm/>
    </div>

  </div>
</template>

<script>
// Components
import UpdateUserForm from './UpdateUserForm'
import UpdatePasswordForm from './UpdatePasswordForm'
/**
 * EditAccount component
 */
export default {
  name: 'EditAccount',
  components: {
    UpdateUserForm,
    UpdatePasswordForm
  }
}
</script>
